#include <ConnectinoCmd.h> // Library for Communication with the Connectino
#include <SoftwareSerial.h> // Necessary for Connectino
 
uint16_t cmdLen = 0; // the length of the command 
char cmdBuff[32] = "";
String cmdResponse = "some value";
 
ConnectinoCmd cmd = ConnectinoCmd(StxSerial);
SoftwareSerial debug = SoftwareSerial(4,5);
 
void setup() {
  StxSerial.begin(115200);
  StxSerial.add(cmd);
 
  debug.begin(9600);
}
 
void loop() {
  //Get command from Connectino
  if (cmd.dataAvailable())
  {
    cmd.getData(cmdBuff, cmdLen);    
    debug.println(cmdBuff);
    cmd.respond(cmdResponse.c_str()); // send response
  }
}
