#include <ConnectinoCmd.h> // Library for Communication with the Connectino
#include <SoftwareSerial.h> // Necessary for Connectino
 
uint16_t cmdLen = 0; // the length of the command 
char cmdBuff[32] = ""; // buffer for receiving data
 
ConnectinoCmd cmd = ConnectinoCmd(StxSerial);
SoftwareSerial debug = SoftwareSerial(4,5);
 
void setup() {
  StxSerial.begin(115200);
  StxSerial.add(cmd);
 
  debug.begin(9600);
}
 
void loop() {
  if (cmd.dataAvailable()) // check if data was received
  {
    cmd.getData(cmdBuff, cmdLen); // read received data
    debug.println(cmdBuff); // print read data
  }
}
